<?php
/*
Plugin Name: RVVideos - RestoVisio's videos
Plugin URI: http://www.restovisio.com
Description: Converts RestoVisio URLs into Video embed codes
Version: 1.0
Author: Axel
Author URI: http://www.restovisio.com

*/

define('RVVIDEO_REGEXP',	'~http://www\.restovisio\.com/restaurant/[a-z0-9_-]+-([0-9]+)\.htm~');
define('RVVIDEO_WIDTH',		550);
define('RVVIDEO_HEIGHT',	319);

function rvvideo_plugin($content) {
	return preg_replace(RVVIDEO_REGEXP, '<center><iframe width="'.RVVIDEO_WIDTH.'" height="'.RVVIDEO_HEIGHT.'" border="0" frameborder="0" scrolling="no" src="http://www.restovisio.com/api/video/embed/$1?source=embed&autostart=no"></iframe></center>', $content);
	return preg_replace_callback(RVVIDEO_REGEXP, 'rvvideo_plugin_callback', $content);
}

add_filter('the_content', 'rvvideo_plugin');
add_filter('the_content_rss', 'rvvideo_plugin');
add_filter('comment_text', 'rvvideo_plugin');
add_filter('the_excerpt', 'rvvideo_plugin');